Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.exception
Class TableValueException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  de.jsystems.tools.exception.BaseRuntimeException
                      de.jsystems.framework.common.exception.TableValueException

All Implemented Interfaces:
  Serializable

public class TableValueException
extends BaseRuntimeException

Diese Exception wird ausgeloest wenn beim setzen oder lesen eines Wertes in einer Tabelle ueber die Methode `BusinessTableModel.setValueAt(Object, int, int)` bzw. `BusinessTableModel.getValueAt(int, int)` ein Fehler aufgetreten ist. Dieser kann seinen Fehler nur in den Zugriffen auf das Item durch Reflection haben. Entweder stimmt der Typ des uebergebenen Objektes nicht mit dem Typ des zu setztenden Attributes ueberein oder auf die betreffende Methode im Item kann nicht zugegriffen werden.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2003
Author:
  Jens Homm JSYSTEMS
See Also:
  Serialized Form

Field Summary

Fields inherited from class de.jsystems.tools.exception.BaseRuntimeException
`LEVEL_WARNING, LOG_OFF, LOG_ON`

Fields inherited from class java.lang.RuntimeException
``

Constructor Summary
`TableValueException(Exception origin, String message)` Erzeugt eine neue Exception.

Methods inherited from class de.jsystems.tools.exception.BaseRuntimeException
`getLevel, getOrigin, getOriginMessage, getSource, logException, logException, showMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TableValueException

    public TableValueException(Exception origin,
                               String message)

  Erzeugt eine neue Exception. Die urspruenglich aufgetretene Exception sowie eine genauere Fehlermeldung werden mit uebergeben.

Parameters:
  `origin` - Die urspruenglich aufgetretene Exception die zu dieser Exception gefuehrt hat.
  `message` - Eine genauere Fehlerbeschreibung.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD